diff --git a/pidgin/resources/Prefs/prefs.ui b/pidgin/resources/Prefs/prefs.ui
--- a/pidgin/resources/Prefs/prefs.ui
+++ b/pidgin/resources/Prefs/prefs.ui
@@ -1323,16 +1320,16 @@
                                 <child>
                                   <object class="GtkBox">
                                     <property name="visible">True</property>
-                                    <property name="can_focus">False</property>
+                                    <property name="can-focus">False</property>
                                     <property name="spacing">6</property>
                                     <child>
                                       <object class="GtkCheckButton" id="network.ports_range_use">
                                         <property name="label" translatable="yes">_Manually specify range of ports to listen on:</property>
                                         <property name="visible">True</property>
-                                        <property name="can_focus">True</property>
-                                        <property name="receives_default">False</property>
-                                        <property name="use_underline">True</property>
-                                        <property name="draw_indicator">True</property>
+                                        <property name="can-focus">True</property>
+                                        <property name="receives-default">False</property>
+                                        <property name="use-underline">True</property>
+                                        <property name="draw-indicator">True</property>
                                       </object>
                                       <packing>
                                         <property name="expand">False</property>
@@ -1343,14 +1340,14 @@
                                     <child>
                                       <object class="GtkBox" id="network.ports_range_hbox">
                                         <property name="visible">True</property>
-                                        <property name="can_focus">False</property>
+                                        <property name="can-focus">False</property>
                                         <property name="spacing">6</property>
                                         <child>
                                           <object class="GtkLabel">
                                             <property name="visible">True</property>
-                                            <property name="can_focus">False</property>
+                                            <property name="can-focus">False</property>
                                             <property name="label" translatable="yes">_Start:</property>
-                                            <property name="use_underline">True</property>
+                                            <property name="use-underline">True</property>
                                           </object>
                                           <packing>
                                             <property name="expand">False</property>
@@ -1361,7 +1358,7 @@
                                         <child>
                                           <object class="GtkSpinButton" id="network.ports_range_start">
                                             <property name="visible">True</property>
-                                            <property name="can_focus">True</property>
+                                            <property name="can-focus">True</property>
                                             <property name="text" translatable="yes">0</property>
                                             <property name="adjustment">network.ports_range_start.adjustment</property>
                                             <property name="numeric">True</property>
@@ -1375,10 +1372,10 @@
                                         <child>
                                           <object class="GtkLabel">
                                             <property name="visible">True</property>
-                                            <property name="can_focus">False</property>
+                                            <property name="can-focus">False</property>
                                             <property name="label" translatable="yes">_End:</property>
-                                            <property name="use_underline">True</property>
-                                            <property name="mnemonic_widget">network.ports_range_end</property>
+                                            <property name="use-underline">True</property>
+                                            <property name="mnemonic-widget">network.ports_range_end</property>
                                           </object>
                                           <packing>
                                             <property name="expand">False</property>
@@ -1389,7 +1386,7 @@
                                         <child>
                                           <object class="GtkSpinButton" id="network.ports_range_end">
                                             <property name="visible">True</property>
-                                            <property name="can_focus">True</property>
+                                            <property name="can-focus">True</property>
                                             <property name="text" translatable="yes">0</property>
                                             <property name="adjustment">network.ports_range_end.adjustment</property>
                                             <property name="numeric">True</property>
@@ -1421,7 +1418,7 @@
                         <child type="label">
                           <object class="GtkLabel">
                             <property name="visible">True</property>
-                            <property name="can_focus">False</property>
+                            <property name="can-focus">False</property>
                             <property name="label" translatable="yes">Ports</property>
                             <attributes>
                               <attribute name="weight" value="bold"/>
@@ -1438,32 +1435,32 @@
                     <child>
                       <object class="GtkFrame">
                         <property name="visible">True</property>
-                        <property name="can_focus">False</property>
-                        <property name="label_xalign">0</property>
-                        <property name="shadow_type">none</property>
+                        <property name="can-focus">False</property>
+                        <property name="label-xalign">0</property>
+                        <property name="shadow-type">none</property>
                         <child>
                           <object class="GtkAlignment">
                             <property name="visible">True</property>
-                            <property name="can_focus">False</property>
-                            <property name="left_padding">12</property>
+                            <property name="can-focus">False</property>
+                            <property name="left-padding">12</property>
                             <child>
                               <object class="GtkBox">
                                 <property name="visible">True</property>
-                                <property name="can_focus">False</property>
+                                <property name="can-focus">False</property>
                                 <property name="orientation">vertical</property>
                                 <property name="spacing">6</property>
                                 <child>
                                   <object class="GtkBox">
                                     <property name="visible">True</property>
-                                    <property name="can_focus">False</property>
+                                    <property name="can-focus">False</property>
                                     <property name="spacing">6</property>
                                     <child>
                                       <object class="GtkLabel" id="label10">
                                         <property name="visible">True</property>
-                                        <property name="can_focus">False</property>
+                                        <property name="can-focus">False</property>
                                         <property name="label" translatable="yes">_TURN server:</property>
-                                        <property name="use_underline">True</property>
-                                        <property name="mnemonic_widget">network.turn_server</property>
+                                        <property name="use-underline">True</property>
+                                        <property name="mnemonic-widget">network.turn_server</property>
                                         <property name="xalign">0</property>
                                       </object>
                                       <packing>
@@ -1475,7 +1472,7 @@
                                     <child>
                                       <object class="GtkEntry" id="network.turn_server">
                                         <property name="visible">True</property>
-                                        <property name="can_focus">True</property>
+                                        <property name="can-focus">True</property>
                                         <signal name="focus-out-event" handler="network_turn_server_changed_cb" swapped="no"/>
                                       </object>
                                       <packing>
@@ -1487,10 +1484,10 @@
                                     <child>
                                       <object class="GtkLabel">
                                         <property name="visible">True</property>
-                                        <property name="can_focus">False</property>
+                                        <property name="can-focus">False</property>
                                         <property name="label" translatable="yes">_UDP Port:</property>
-                                        <property name="use_underline">True</property>
-                                        <property name="mnemonic_widget">network.turn_port_udp</property>
+                                        <property name="use-underline">True</property>
+                                        <property name="mnemonic-widget">network.turn_port_udp</property>
                                       </object>
                                       <packing>
                                         <property name="expand">False</property>
@@ -1501,7 +1498,7 @@
                                     <child>
                                       <object class="GtkSpinButton" id="network.turn_port_udp">
                                         <property name="visible">True</property>
-                                        <property name="can_focus">True</property>
+                                        <property name="can-focus">True</property>
                                         <property name="adjustment">network.turn_port_udp.adjustment</property>
                                         <property name="numeric">True</property>
                                       </object>
@@ -1514,10 +1511,10 @@
                                     <child>
                                       <object class="GtkLabel">
                                         <property name="visible">True</property>
-                                        <property name="can_focus">False</property>
+                                        <property name="can-focus">False</property>
                                         <property name="label" translatable="yes">T_CP Port:</property>
-                                        <property name="use_underline">True</property>
-                                        <property name="mnemonic_widget">network.turn_port_tcp</property>
+                                        <property name="use-underline">True</property>
+                                        <property name="mnemonic-widget">network.turn_port_tcp</property>
                                       </object>
                                       <packing>
                                         <property name="expand">False</property>
@@ -1528,7 +1525,7 @@
                                     <child>
                                       <object class="GtkSpinButton" id="network.turn_port_tcp">
                                         <property name="visible">True</property>
-                                        <property name="can_focus">True</property>
+                                        <property name="can-focus">True</property>
                                         <property name="adjustment">network.turn_port_tcp.adjustment</property>
                                         <property name="numeric">True</property>
                                       </object>
@@ -1548,15 +1545,15 @@
                                 <child>
                                   <object class="GtkBox">
                                     <property name="visible">True</property>
-                                    <property name="can_focus">False</property>
+                                    <property name="can-focus">False</property>
                                     <property name="spacing">6</property>
                                     <child>
                                       <object class="GtkLabel" id="label11">
                                         <property name="visible">True</property>
-                                        <property name="can_focus">False</property>
+                                        <property name="can-focus">False</property>
                                         <property name="label" translatable="yes">Use_rname:</property>
-                                        <property name="use_underline">True</property>
-                                        <property name="mnemonic_widget">network.turn_username</property>
+                                        <property name="use-underline">True</property>
+                                        <property name="mnemonic-widget">network.turn_username</property>
                                         <property name="xalign">0</property>
                                       </object>
                                       <packing>
@@ -1568,7 +1565,7 @@
                                     <child>
                                       <object class="GtkEntry" id="network.turn_username">
                                         <property name="visible">True</property>
-                                        <property name="can_focus">True</property>
+                                        <property name="can-focus">True</property>
                                       </object>
                                       <packing>
                                         <property name="expand">False</property>
@@ -1579,10 +1576,10 @@
                                     <child>
                                       <object class="GtkLabel">
                                         <property name="visible">True</property>
-                                        <property name="can_focus">False</property>
+                                        <property name="can-focus">False</property>
                                         <property name="label" translatable="yes">Pass_word:</property>
-                                        <property name="use_underline">True</property>
-                                        <property name="mnemonic_widget">network.turn_password</property>
+                                        <property name="use-underline">True</property>
+                                        <property name="mnemonic-widget">network.turn_password</property>
                                       </object>
                                       <packing>
                                         <property name="expand">False</property>
@@ -1593,10 +1590,10 @@
                                     <child>
                                       <object class="GtkEntry" id="network.turn_password">
                                         <property name="visible">True</property>
-                                        <property name="can_focus">True</property>
+                                        <property name="can-focus">True</property>
                                         <property name="visibility">False</property>
-                                        <property name="invisible_char">●</property>
-                                        <property name="input_purpose">password</property>
+                                        <property name="invisible-char">●</property>
+                                        <property name="input-purpose">password</property>
                                       </object>
                                       <packing>
                                         <property name="expand">False</property>
@@ -1618,7 +1615,7 @@
                         <child type="label">
                           <object class="GtkLabel">
                             <property name="visible">True</property>
-                            <property name="can_focus">False</property>
+                            <property name="can-focus">False</property>
                             <property name="label" translatable="yes">Relay Server (TURN)</property>
                             <attributes>
                               <attribute name="weight" value="bold"/>
@@ -1642,37 +1639,37 @@
                 <child>
                   <object class="GtkBox" id="proxy.page">
                     <property name="visible">True</property>
-                    <property name="can_focus">False</property>
-                    <property name="border_width">12</property>
+                    <property name="can-focus">False</property>
+                    <property name="border-width">12</property>
                     <property name="orientation">vertical</property>
                     <property name="spacing">18</property>
                     <child>
                       <object class="GtkFrame">
                         <property name="visible">True</property>
-                        <property name="can_focus">False</property>
-                        <property name="label_xalign">0</property>
-                        <property name="shadow_type">none</property>
+                        <property name="can-focus">False</property>
+                        <property name="label-xalign">0</property>
+                        <property name="shadow-type">none</property>
                         <child>
                           <object class="GtkAlignment">
                             <property name="visible">True</property>
-                            <property name="can_focus">False</property>
-                            <property name="left_padding">12</property>
+                            <property name="can-focus">False</property>
+                            <property name="left-padding">12</property>
                             <child>
                               <object class="GtkStack" id="proxy.stack">
                                 <property name="visible">True</property>
-                                <property name="can_focus">False</property>
+                                <property name="can-focus">False</property>
                                 <property name="hhomogeneous">False</property>
                                 <property name="vhomogeneous">False</property>
                                 <child>
                                   <object class="GtkBox">
                                     <property name="visible">True</property>
-                                    <property name="can_focus">False</property>
+                                    <property name="can-focus">False</property>
                                     <property name="orientation">vertical</property>
                                     <property name="spacing">6</property>
                                     <child>
                                       <object class="GtkLabel">
                                         <property name="visible">True</property>
-                                        <property name="can_focus">False</property>
+                                        <property name="can-focus">False</property>
                                         <property name="label" translatable="yes">Proxy preferences are configured in GNOME preferences</property>
                                         <property name="xalign">0</property>
                                       </object>
@@ -1685,12 +1682,12 @@
                                     <child>
                                       <object class="GtkBox">
                                         <property name="visible">True</property>
-                                        <property name="can_focus">False</property>
+                                        <property name="can-focus">False</property>
                                         <property name="spacing">6</property>
                                         <child>
                                           <object class="GtkLabel" id="proxy.gnome_not_found">
                                             <property name="visible">True</property>
-                                            <property name="can_focus">False</property>
+                                            <property name="can-focus">False</property>
                                             <property name="label" translatable="yes">Proxy configuration program was not found.</property>
                                             <attributes>
                                               <attribute name="weight" value="bold"/>
@@ -1706,9 +1703,9 @@
                                           <object class="GtkButton" id="proxy.gnome_program">
                                             <property name="label" translatable="yes">Configure _Proxy</property>
                                             <property name="visible">True</property>
-                                            <property name="can_focus">True</property>
-                                            <property name="receives_default">True</property>
-                                            <property name="use_underline">True</property>
+                                            <property name="can-focus">True</property>
+                                            <property name="receives-default">True</property>
+                                            <property name="use-underline">True</property>
                                             <signal name="clicked" handler="proxy_button_clicked_cb" object="PidginPrefsWindow" swapped="no"/>
                                           </object>
                                           <packing>
@@ -1732,17 +1729,17 @@
                                 <child>
                                   <object class="GtkBox">
                                     <property name="visible">True</property>
-                                    <property name="can_focus">False</property>
+                                    <property name="can-focus">False</property>
                                     <property name="orientation">vertical</property>
                                     <property name="spacing">6</property>
                                     <child>
                                       <object class="GtkCheckButton" id="proxy.socks4_remotedns">
                                         <property name="label" translatable="yes">Use remote _DNS with SOCKS4 proxies</property>
                                         <property name="visible">True</property>
-                                        <property name="can_focus">True</property>
-                                        <property name="receives_default">False</property>
-                                        <property name="use_underline">True</property>
-                                        <property name="draw_indicator">True</property>
+                                        <property name="can-focus">True</property>
+                                        <property name="receives-default">False</property>
+                                        <property name="use-underline">True</property>
+                                        <property name="draw-indicator">True</property>
                                       </object>
                                       <packing>
                                         <property name="expand">False</property>
@@ -1753,15 +1750,15 @@
                                     <child>
                                       <object class="GtkBox">
                                         <property name="visible">True</property>
-                                        <property name="can_focus">False</property>
+                                        <property name="can-focus">False</property>
                                         <property name="spacing">6</property>
                                         <child>
                                           <object class="GtkLabel">
                                             <property name="visible">True</property>
-                                            <property name="can_focus">False</property>
+                                            <property name="can-focus">False</property>
                                             <property name="label" translatable="yes">Proxy t_ype:</property>
-                                            <property name="use_underline">True</property>
-                                            <property name="mnemonic_widget">proxy.type.combo</property>
+                                            <property name="use-underline">True</property>
+                                            <property name="mnemonic-widget">proxy.type.combo</property>
                                           </object>
                                           <packing>
                                             <property name="expand">False</property>
@@ -1772,7 +1769,7 @@
                                         <child>
                                           <object class="GtkComboBox" id="proxy.type.combo">
                                             <property name="visible">True</property>
-                                            <property name="can_focus">False</property>
+                                            <property name="can-focus">False</property>
                                             <property name="model">proxy.type.store</property>
                                             <child>
                                               <object class="GtkCellRendererText"/>
